php_tests:
  image: php:latest
  stage: test
  services:
    - mysql:latest
  variables:
    MYSQL_DATABASE: php_laravel_app
    MYSQL_ROOT_PASSWORD: secret
    DB_HOST: mysql
    DB_USERNAME: root
  cache:
    paths:
      - vendor/
  before_script:
    - php -v # Print out php version for debugging
    - cd src/php-laravel-app
    - cp .env.example .env
    - apt-get update
    - apt-get install -qq git curl libmcrypt-dev libjpeg-dev libpng-dev libfreetype6-dev libbz2-dev libzip-dev
    - apt-get clean
    - docker-php-ext-install pdo_mysql zip
    - curl --silent --show-error "https://getcomposer.org/installer" | php -- --install-dir=/usr/local/bin --filename=composer
    - composer install
    - php artisan key:generate
    - php artisan migrate
  script:
    - vendor/bin/phpunit
